Index: ext/cppconn/driver/Makefile.am
===================================================================
--- ext/cppconn/driver/Makefile.am.orig
+++ ext/cppconn/driver/Makefile.am
@@ -28,4 +28,4 @@ mysqlcppconn_la_SOURCES=\
 
 INCLUDES=-I.. @MYSQL_INCLUDE@ -I./nativeapi -DMYSQLCLIENT_STATIC_BINDING=1 -I../cppconn -I../..
 
-mysqlcppconn_la_LDFLAGS=-module @MYSQL_LIBS@
+mysqlcppconn_la_LDFLAGS=-avoid-version -module @MYSQL_LIBS@
Index: modules/db.checks/Makefile.am
===================================================================
--- modules/db.checks/Makefile.am.orig
+++ modules/db.checks/Makefile.am
@@ -14,7 +14,7 @@ INCLUDES=-I$(top_srcdir)/generated -I$(t
                 -I$(top_srcdir)/modules/db.mysql/src\
                 @GRT_CFLAGS@ @GLIB_CFLAGS@ @GNOME_CFLAGS@ @SIGC_CFLAGS@
 
-db_checks_wbp_la_LDFLAGS=-module
+db_checks_wbp_la_LDFLAGS=-avoid-version -module
 
 db_checks_wbp_la_SOURCES=\
 ./register_plugin.cpp \
Index: modules/db.mysql.query/Makefile.am
===================================================================
--- modules/db.mysql.query/Makefile.am.orig
+++ modules/db.mysql.query/Makefile.am
@@ -11,4 +11,4 @@ INCLUDES=-I$(top_srcdir)/generated -I$(t
 
 
 db_mysql_query_grt_la_SOURCES=src/dbquery.cpp
-db_mysql_query_grt_la_LDFLAGS=-module
+db_mysql_query_grt_la_LDFLAGS=-avoid-version -module
Index: modules/db.mysql.sqlide/Makefile.am
===================================================================
--- modules/db.mysql.sqlide/Makefile.am.orig
+++ modules/db.mysql.sqlide/Makefile.am
@@ -22,7 +22,7 @@ INCLUDES=\
 @MYSQL_INCLUDE@ @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@
 
 
-db_mysql_sqlide_grt_la_LDFLAGS=-module
+db_mysql_sqlide_grt_la_LDFLAGS=-avoid-version -module
 #db_mysql_sqlide_grt_la_LIBADD=
 
 db_mysql_sqlide_grt_la_SOURCES=\
Index: modules/db.mysql.sqlparser/Makefile.am
===================================================================
--- modules/db.mysql.sqlparser/Makefile.am.orig
+++ modules/db.mysql.sqlparser/Makefile.am
@@ -18,7 +18,7 @@ INCLUDES=\
 	-I$(top_srcdir)/library/base\
 	@MYSQL_INCLUDE@ @GRT_CFLAGS@ @GLIB_CFLAGS@ @PCRE_CFLAGS@ @SIGC_CFLAGS@
 
-db_mysql_sqlparser_grt_la_LDFLAGS=-module
+db_mysql_sqlparser_grt_la_LDFLAGS=-avoid-version -module
 
 db_mysql_sqlparser_grt_la_SOURCES=\
 	src/db.mysql.sqlparser.cpp\
Index: modules/db.mysql/Makefile.am
===================================================================
--- modules/db.mysql/Makefile.am.orig
+++ modules/db.mysql/Makefile.am
@@ -32,7 +32,7 @@ INCLUDES=-I$(top_srcdir)/generated -I$(t
 #                        db_mysql_statement_parser_fe.cpp
 #
 
-db_mysql_grt_la_LDFLAGS=-module 
+db_mysql_grt_la_LDFLAGS=-avoid-version -module
 #ctemplate linked to main binary
 #db_mysql_grt_la_LIBADD=-L$(top_srcdir)/ext/ctemplate/ctemplate-src/ $(top_srcdir)/ext/ctemplate/ctemplate-src/libctemplate_wb.la
 
Index: modules/db/Makefile.am
===================================================================
--- modules/db/Makefile.am.orig
+++ modules/db/Makefile.am
@@ -10,5 +10,5 @@ INCLUDES=-I$(top_srcdir)/generated -I$(t
 
 
 dbutils_grt_la_SOURCES=src/dbutils.cpp
-dbutils_grt_la_LDFLAGS=-module
+dbutils_grt_la_LDFLAGS=-avoid-version -module
 # dbutils_grt_la_LIBADD=$(top_srcdir)/backend/grtdb/libgrtdbbe.la $(top_srcdir)/backend/grt/libgrtbe.la
Index: modules/wb.model/Makefile.am
===================================================================
--- modules/wb.model/Makefile.am.orig
+++ modules/wb.model/Makefile.am
@@ -73,7 +73,7 @@ INCLUDES=-I$(top_srcdir)/generated\
 	@CTEMPLATE_CFLAGS@ @MYSQL_INCLUDE@ @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@
 
 
-wb_model_grt_la_LDFLAGS=-module
+wb_model_grt_la_LDFLAGS=-avoid-version -module
 #wb_model_grt_la_LIBADD=$(top_srcdir)/ext/ctemplate
 
 wb_model_grt_la_SOURCES=src/graph_renderer.cpp \
Index: modules/wb.mysql.import/Makefile.am
===================================================================
--- modules/wb.mysql.import/Makefile.am.orig
+++ modules/wb.mysql.import/Makefile.am
@@ -21,7 +21,7 @@ INCLUDES=\
 	@MYSQL_INCLUDE@ @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@
 
 
-wb_mysql_import_grt_la_LDFLAGS=-module
+wb_mysql_import_grt_la_LDFLAGS=-avoid-version -module
 #wb_mysql_import_grt_la_LIBADD=
 
 wb_mysql_import_grt_la_SOURCES=\
Index: modules/wb.mysql.validation/Makefile.am
===================================================================
--- modules/wb.mysql.validation/Makefile.am.orig
+++ modules/wb.mysql.validation/Makefile.am
@@ -20,7 +20,7 @@ INCLUDES=-I$(top_srcdir)/generated\
 	@MYSQL_INCLUDE@ @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@
 
 
-wb_mysql_validation_grt_la_LDFLAGS=-module
+wb_mysql_validation_grt_la_LDFLAGS=-avoid-version -module
 #wb_mysql_import_grt_la_LIBADD=$(top_srcdir)
 wb_mysql_validation_grt_la_LIBADD=@GRT_LIBS@ @GLIB_LIBS@ @SIGC_LIBS@
 
Index: modules/wb.validation/Makefile.am
===================================================================
--- modules/wb.validation/Makefile.am.orig
+++ modules/wb.validation/Makefile.am
@@ -18,7 +18,7 @@ INCLUDES=-I$(top_srcdir)/generated\
 	@MYSQL_INCLUDE@ @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@
 
 
-wb_validation_grt_la_LDFLAGS=-module
+wb_validation_grt_la_LDFLAGS=-avoid-version -module
 #wb_mysql_import_grt_la_LIBADD=$(top_srcdir)/backend/grtdb/libgrtdbbe.la 
 wb_validation_grt_la_LIBADD=@GRT_LIBS@ @GLIB_LIBS@ @SIGC_LIBS@
 
Index: plugins/db.mysql.editors/linux/Makefile.am
===================================================================
--- plugins/db.mysql.editors/linux/Makefile.am.orig
+++ plugins/db.mysql.editors/linux/Makefile.am
@@ -33,7 +33,7 @@ INCLUDES=-I$(top_srcdir)/generated -I$(t
                 @GRT_CFLAGS@ @GLIB_CFLAGS@ @GNOME_CFLAGS@ @SIGC_CFLAGS@
 
 
-db_mysql_editors_wbp_la_LDFLAGS=-module
+db_mysql_editors_wbp_la_LDFLAGS=-avoid-version -module
 db_mysql_editors_wbp_la_LIBADD=$(top_srcdir)/frontend/linux/linux_utilities/liblinux_utilities.la\
                                $(top_srcdir)/ext/scintilla/gtk/libwbscintilla.la
 
Index: plugins/db.mysql/frontend/Makefile.am
===================================================================
--- plugins/db.mysql/frontend/Makefile.am.orig
+++ plugins/db.mysql/frontend/Makefile.am
@@ -25,7 +25,7 @@ INCLUDES=-I$(top_srcdir)/generated -I$(t
     @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@  @CAIRO_CFLAGS@
 
 
-db_mysql_wbp_la_LDFLAGS=-module
+db_mysql_wbp_la_LDFLAGS=-avoid-version -module
 
 db_mysql_wbp_la_SOURCES=\
 ../backend/db_frw_eng_be.cpp\
Index: plugins/wb.model.editors/linux/Makefile.am
===================================================================
--- plugins/wb.model.editors/linux/Makefile.am.orig
+++ plugins/wb.model.editors/linux/Makefile.am
@@ -21,7 +21,7 @@ INCLUDES=-I$(top_srcdir)/generated -I$(t
                 @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@ @GNOME_CFLAGS@
 
 
-wb_model_editors_wbp_la_LDFLAGS=-module
+wb_model_editors_wbp_la_LDFLAGS=-avoid-version -module
 wb_model_editors_wbp_la_LIBADD=$(top_srcdir)/frontend/linux/linux_utilities/liblinux_utilities.la
 
 wb_model_editors_wbp_la_SOURCES=\
Index: plugins/wb.model.reporting/frontend/Makefile.am
===================================================================
--- plugins/wb.model.reporting/frontend/Makefile.am.orig
+++ plugins/wb.model.reporting/frontend/Makefile.am
@@ -17,7 +17,7 @@ INCLUDES=-I$(top_srcdir)/generated -I$(t
                 @GRT_CFLAGS@ @GLIB_CFLAGS@ @GNOME_CFLAGS@ @SIGC_CFLAGS@
 
 
-wb_model_reporting_wbp_la_LDFLAGS=-module
+wb_model_reporting_wbp_la_LDFLAGS=-avoid-version -module
 
 wb_model_reporting_wbp_la_SOURCES=\
 ../backend/wb_model_reporting.cpp\
Index: plugins/wb.model.snippets/Makefile.am
===================================================================
--- plugins/wb.model.snippets/Makefile.am.orig
+++ plugins/wb.model.snippets/Makefile.am
@@ -22,7 +22,7 @@ INCLUDES=-I$(top_srcdir)/generated -I$(t
     @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@ @CAIRO_CFLAGS@
 
 
-wb_model_snippets_wbp_la_LDFLAGS=-module
+wb_model_snippets_wbp_la_LDFLAGS=-avoid-version -module
 
 wb_model_snippets_wbp_la_SOURCES=\
 include_model_wizard.cpp\
Index: plugins/wb.printing/linux/Makefile.am
===================================================================
--- plugins/wb.printing/linux/Makefile.am.orig
+++ plugins/wb.printing/linux/Makefile.am
@@ -20,7 +20,7 @@ INCLUDES=-I$(top_srcdir)/generated -I$(t
                 @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@ @GNOME_CFLAGS@
 
 
-wb_printing_wbp_la_LDFLAGS=-module
+wb_printing_wbp_la_LDFLAGS=-avoid-version -module
 wb_printing_wbp_la_LIBADD=$(top_srcdir)/frontend/linux/linux_utilities/liblinux_utilities.la
 
 wb_printing_wbp_la_SOURCES=\
--- library/forms/swig/Makefile.am.orig	2013-02-14 21:54:06.000000000 +0100
+++ library/forms/swig/Makefile.am	2013-09-14 17:44:05.478463899 +0200
@@ -25,7 +25,7 @@
 -I$(top_srcdir)/ext/scintilla/include\
 -I$(top_srcdir)/backend/wbpublic/
 
-_mforms_la_LDFLAGS=-module
-_cairo_la_LDFLAGS=-module
+_mforms_la_LDFLAGS=-avoid-version -module
+_cairo_la_LDFLAGS=-avoid-version -module
 
 
--- modules/grt.forms/Makefile.am.orig	2013-02-14 21:54:04.000000000 +0100
+++ modules/grt.forms/Makefile.am	2013-09-14 17:44:27.686273251 +0200
@@ -12,5 +12,5 @@
 
 
 forms_grt_la_SOURCES=src/grt_forms.cpp
-forms_grt_la_LDFLAGS=-module
+forms_grt_la_LDFLAGS=-avoid-version -module
 forms_grt_la_LIBADD=../../ext/scintilla/gtk/libwbscintilla.la
--- plugins/db.mysql.diff.reporting/frontend/Makefile.am.orig	2013-02-14 21:54:11.000000000 +0100
+++ plugins/db.mysql.diff.reporting/frontend/Makefile.am	2013-09-14 17:45:03.038282699 +0200
@@ -23,7 +23,7 @@
     @GRT_CFLAGS@ @GLIB_CFLAGS@ @SIGC_CFLAGS@ @CAIRO_CFLAGS@ @PCRE_CFLAGS@
 
 
-db_mysql_diff_reporting_wbp_la_LDFLAGS=-module
+db_mysql_diff_reporting_wbp_la_LDFLAGS=-module -avoid-version
 db_mysql_diff_reporting_wbp_la_LIBADD=$(top_srcdir)/library/grt/src/libgrt.la $(top_srcdir)/library/forms/libmforms.la $(top_srcdir)/ext/scintilla/gtk/libwbscintilla.la @GLIB_LIBS@
 
 
